Bug 316128 - JJ: Data CDs don't show up anywhere under Amarok Local Music
Summary: JJ: Data CDs don't show up anywhere under Amarok Local Music
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Collections/USB mass storage and MSC (show other bugs)
Version: 2.7-git
Platform: Other Linux
: NOR normal (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2013-03-04 17:54 UTC by Matěj Laitl
Modified: 2013-03-28 20:05 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matěj Laitl 2013-03-04 17:54:23 UTC
When one inserts an Audio (CDDA) CD, it shows up as "Audio CD" in Amarok Local Music pane. When one inserts an USB Stick, it shows up under its label in Local Music pane.

But if one inserts data CD with for example mp3's on it (appears to be common as e.g. many car CD players are able to play mp3's), it doesn't show up in Amarok at all. Internally, UmsCollection (one handling USB Mass Storage) would be able to handle data CDs just fine, it just needs to be taught to activate itself on data cds too.

The task will involve tweaking Solid rules to create new UmsCollection in UmsCollectionFactory. Both cases need to be handled: when data CD is present at the time Amarok is started and when data CD is inserted when Amarok is running. People working on this are encouraged to study output of `solid-hardware list details` and its difference for USB Sticks, Audio CDs and data CDs.

(Note: UmsCollection is badly named - it is not really specific to USB Mass Storage. Suggestions for better name for internally and user-visible are welcome. Perhaps FilesystemCollection and "Filesystem-based Collection"?)
Comment 1 Anmol Ahuja 2013-03-26 22:57:27 UTC
https://git.reviewboard.kde.org/r/109752/
Comment 2 Matěj Laitl 2013-03-28 20:05:52 UTC
Git commit 6dd3e1e190118dd079c7c414a44f22eaecffc5d5 by Matěj Laitl, on behalf of Anmol Ahuja.
Committed on 28/03/2013 at 21:02.
Pushed by laitl into branch 'master'.

UmsCollection: recognize Data CDs as collections

CHANGES:
 * Data CDs are now recognized in Amarok; patch by Anmol Ahuja.
FIXED-IN: 2.8
REVIEW: 109752
DIGEST: Amarok now recognizes Data CDs as collections

M  +1    -0    ChangeLog
M  +11   -2    src/core-impl/collections/umscollection/UmsCollection.cpp

http://commits.kde.org/amarok/6dd3e1e190118dd079c7c414a44f22eaecffc5d5